//
// foundation/helpers/text-align
//

@each $breakpoint in map-keys($breakpoints) {
  @if (map-get($breakpoints, $breakpoint) == 0) {

    // alignment
    .text-align-justify {
      text-align: justify !important;
    }

    .text-align-nowrap {
      white-space: nowrap !important;
    }

    // responsive alignment
    .text-align-left {
      text-align: left !important;
    }

    .text-align-right {
      text-align: right !important;
    }

    .text-align-center {
      text-align: center !important;
    }

  } @else {
    @include mq($breakpoint) {

      // alignment
      .text-align-justify-#{$breakpoint} {
        text-align: justify !important;
      }

      .text-align-nowrap-#{$breakpoint} {
        white-space: nowrap !important;
      }

      // responsive alignment
      .text-align-left-#{$breakpoint} {
        text-align: left !important;
      }

      .text-align-right-#{$breakpoint} {
        text-align: right !important;
      }

      .text-align-center-#{$breakpoint} {
        text-align: center !important;
      }
    }
  }
}
